<?php
/**
 * Uninstall routine for Product Review Plugin
 *
 * This file runs when the plugin is uninstalled via the Plugins screen.
 *
 * @package ProductReviewPlugin
 */

// Exit if accessed directly.
if (!defined('WP_UNINSTALL_PLUGIN')) {
    exit;
}

// Access WordPress db
global $wpdb;

// Get option names
$options = array(
    'product_review_settings',
    'product_review_license_key',
    'product_review_license_status'
);

// Delete options
foreach ($options as $option) {
    delete_option($option);
}

// Delete transients
delete_transient('product_review_license_last_check');

// Get table names
$tables = array(
    $wpdb->prefix . 'product_review_groups',
    $wpdb->prefix . 'product_reviews'
);

// Remove all tables
foreach ($tables as $table) {
    $wpdb->query("DROP TABLE IF EXISTS {$table}");
}

// Clear any cached data
wp_cache_flush();